# /usr/lib/im/httx

## NAME

  httx - X input method server

## SYNOPSIS

  /usr/lib/im/httx [ options ]

## DESCRIPTION

  htt is an X input method server which interfaces interna-
  tionalized X Window applications and the language specific
  conversion engines. Htt XIM server, htt_xbe is automatically
  started by this htt.

## OPTIONS

`-if language_engine_name`

  Specify the language engine name.

`-display host:display.screen`

  Specify the screen where the htt window is to be displayed.

`-lc_basiclocale locale`

  htt starts itself in the specified language.

`-xim htt_xbe`

  htt starts htt_xbe (default)

## ENVIRONMENT VARIABLES

  `XMODIFIERS`

    XMODIFIERS needs to be set `@im=htt`

  `HTT_DISABLE_STATUS_WINDOW`

    If this environment variable is set, httx will not invoke IM status window when seperate style is specified.

    Note that this environment variable works on only Linux platform.

  `HTT_GENERATES_KANAKEY`

    If this environment variable is set, httx will generate Japanese Kana keyevent, which is toggled by `XK_Hiragana_Katakana`.

    Note that this environment variable works on only Linux platform.

  `HTT_USES_LINUX_XKEYSYM`

    If this environment variable is set, httx will use XFree86 keysyms to convert keysyms to VKs.

    Note that this environment variable works on only Linux platform.

Copyright © 1995-2000 Sun Microsystems, Inc. All Rights Reserved. Terms of Use. Privacy Policy.